Legacy: account balance
Token ds_live_ / ds_test_GET
/api/userReturns your account and wallet balance in the MSORG / Adex shape.
Language
curl -X GET "https://finaldatasub.com/api/user" \
-H "Authorization: Token ds_live_YOUR_KEY" \
-H "Accept: application/json"Authentication
Send your secret API key in the header. Authorization: Bearer … and X-API-Key: … are also accepted.
| Header | Value | Required |
|---|---|---|
| Authorization | Token ds_live_YOUR_KEY | Yes |
| Accept | application/json | Recommended |
Authentication failures (401 UNAUTHORIZED, 403 IP_NOT_ALLOWED / ACCOUNT_SUSPENDED / API_ACCESS_NOT_APPROVED, 429 RATE_LIMITED) are listed in Authentication.
Parameters
This endpoint takes no parameters.
Responses
200 OK — OK
{
"status": "success",
"balance": "25000.00",
"user": {
"id": 1042,
"username": "merchant@example.com",
"email": "merchant@example.com",
"Account_Balance": "25000.00",
"wallet_balance": "25000.00"
}
}